You are here: Foswiki>Tasks Web>Item13759 (19 Nov 2015, GeorgeClark)Edit Attach

Item13759: PatchFoswikiContrib not compatible with Foswiki 2.x

pencil
Priority: Normal
Current State: Closed
Released In: n/a
Target Release: n/a
Applies To: Extension
Component: PatchFoswikiContrib
Branches: master Item13699
Reported By: JanKrueger
Waiting For:
Last Change By: GeorgeClark
From what I remember, PatchFoswikiContrib tries to use Foswiki::Configure::Util::mapTarget but this namespace has been removed in 2.0 and the function now lives at Foswiki::Configure::Package::_mapTarget.

The result is that if you enable PatchFoswikiContribPlugin, it fails to load. This can upset some other operations. For instance, when I have PFCP enabled, I get sporadic server errors when clicking through the configure interface.

-- JanKrueger - 28 Sep 2015

 
Topic revision: r11 - 19 Nov 2015, GeorgeClark - This page was cached on 03 Jun 2017 - 11:13.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License